graphView

## Class TemporalGraph

- java.lang.Object
- - graphView.TemporalGraph

    public class TemporalGraph
    extends java.lang.Object

The Class TemporalGraph.

### Constructor Summary

Constructors
Constructor and Description
`TemporalGraph()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createMarker(int tick, java.lang.String messages)` Creates the marker.
`java.util.ArrayList<GraphicVisualization2Dim>` `get2DimGraphList()` Gets the 2 dim graph list.
`java.util.ArrayList<GraphicVisualizationNDim>` `getNDimGraphList()` Gets the n dim graph list.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemporalGraph

    public TemporalGraph()

### Method Detail

#### createMarker

    public void createMarker(int tick,
                             java.lang.String messages)

Creates the marker.

Parameters:
  `tick` - the tick
  `messages` - the messages

#### get2DimGraphList

    public java.util.ArrayList<GraphicVisualization2Dim> get2DimGraphList()

Gets the 2 dim graph list.

Returns:
  the 2 dim graph list

#### getNDimGraphList

    public java.util.ArrayList<GraphicVisualizationNDim> getNDimGraphList()

Gets the n dim graph list.

Returns:
  the n dim graph list